> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all users for a space

GET https://api.contentful.com/spaces/{space_id}/users

Returns a paginated list of all users in the space, including those with access via direct membership or team membership. Accessible by all space members.

Reference: https://contentful.com/developers/docs/references/user-management-api/users/get-all-users-for-a-space

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — The space ID

### Query parameters

- `skip` (integer, optional) — Specify an offset to paginate through results
- `limit` (integer, optional) — Specify the maximum number of results

## Response

### 200

OK - Paginated list of users in the space

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "2faEnabled": true,
      "activated": true,
      "avatarUrl": "http://a0.twimg.com/profile_images/148466442/sascha_konietzke_normal.jpg",
      "confirmed": true,
      "email": "user@example.com",
      "firstName": "Sascha",
      "lastName": "Konietzke",
      "signInCount": 1277,
      "sys": {
        "createdAt": "2025-12-10T10:27:21Z",
        "id": "7uqvFPPLzgtVaezGvjA9U6",
        "type": "User",
        "updatedAt": "2026-02-19T00:46:53Z",
        "version": 1733
      }
    }
  ],
  "limit": 25,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 2
}
```